cascading.flow.planner.rule

## Class RuleExec

- java.lang.Object
- - cascading.flow.planner.rule.RuleExec

-     public class RuleExec
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleExec(TraceWriter traceWriter, RuleRegistry registry)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RuleResult` | `exec(PlannerContext plannerContext, FlowElementGraph flowElementGraph)`
    `RuleResult` | `executeRulePhase(PlanPhase phase, PlannerContext plannerContext, RuleResult ruleResult)`
    `protected void` | `performMutation(PlannerContext plannerContext, RuleResult ruleResult, PlanPhase phase, Rule rule)`
    `protected void` | `planPhases(PlannerContext plannerContext, boolean logAsInfo, RuleResult ruleResult)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleExec

          public RuleExec(TraceWriter traceWriter,
                  RuleRegistry registry)

  - ### Method Detail

    - #### exec

          public RuleResult exec(PlannerContext plannerContext,
                        FlowElementGraph flowElementGraph)

    - #### planPhases

          protected void planPhases(PlannerContext plannerContext,
                        boolean logAsInfo,
                        RuleResult ruleResult)

    - #### executeRulePhase

          public RuleResult executeRulePhase(PlanPhase phase,
                                    PlannerContext plannerContext,
                                    RuleResult ruleResult)

    - #### performMutation

          protected void performMutation(PlannerContext plannerContext,
                             RuleResult ruleResult,
                             PlanPhase phase,
                             Rule rule)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.